Toybrick

ONNX模型转换失败

nila

注册会员

积分
109
发表于 2019-2-19 11:30:34    查看: 1788|回复: 3 | [复制链接]    打印 | 显示全部楼层
用rknn-toolkit转onnx模型时报错,更新到toolkit0.9.8了
D save dump info to: ./mobilenet_build.log
--> config model
--> Loading model
I Current ONNX Model use ir_version 2 opset_version 2
D import clients finished
I build output layer output_359
I Try match Reshape op#116
I Match [['359']] [['Reshape_1']] to [['reshape_1']]
I Try match BatchNormalization op#115
I Match [['358']] [['BatchNormalization']] to [['batchnormalize_1']]
I Try match AveragePool op#114
I Match [['356']] [['AveragePool_1']] to [['pooling_1']]
E Catch exception when loading onnx model: ./palmvein.onnx!
T Traceback (most recent call last):
T   File "rknn/api/rknn_base.py", line 321, in rknn.api.rknn_base.RKNNBase.load_onnx
T   File "rknn/base/rknnlib/converter/convert_onnx.py", line 555, in rknn.base.rknnlib.converter.convert_onnx.convert_onnx.match_paragraph_and_param
T   File "rknn/base/rknnlib/converter/convert_onnx.py", line 355, in rknn.base.rknnlib.converter.convert_onnx.convert_onnx._onnx_build_acu_layer
T   File "rknn/base/rknnlib/converter/convert_onnx.py", line 322, in rknn.base.rknnlib.converter.convert_onnx.convert_onnx._onnx_acu_param_assign
T   File "rknn/base/rknnlib/converter/convert_onnx.py", line 302, in rknn.base.rknnlib.converter.convert_onnx.convert_onnx._onnx_parse_param
T   File "rknn/base/rknnlib/converter/convert_onnx.py", line 309, in rknn.base.rknnlib.converter.convert_onnx.convert_onnx._onnx_parase_execute
T   File "<string>", line 1, in <module>
T   File "rknn/base/rknnlib/converter/convert_onnx.py", line 164, in rknn.base.rknnlib.converter.convert_onnx.convert_onnx.array_layout
T IndexError: list index out of range
Load palmvein.onnx failed!

这个错误描述是指超出范围吗?具体是什么意思呢?
python依样画葫芦改了一下,如附件

本帖子中包含更多资源

您需要 登录 才可以下载或查看,没有帐号?立即注册

x
回复

使用道具 举报

nila

注册会员

积分
109
 楼主| 发表于 2019-2-20 10:09:39 | 显示全部楼层
有没有支持转换模型的明细文档呢,就是支持哪此层,多大的卷积核等参数
回复

使用道具 举报

jefferyzhang

超级版主

积分
7587
发表于 2019-3-9 16:29:25 | 显示全部楼层
升到0.9.8,在init函数里把verbose=True打开,才能看到具体哪个OP不支持还是其他哪里报错。
你可以认为我们的NPU所有op都是要支持的,不支持的报给我们,作为一个bug我们会上报给相关部门去支持。
现在OP的数量每年都在增长,来不及支持我们会尽力补上的
回复

使用道具 举报

nila

注册会员

积分
109
 楼主| 发表于 2019-3-11 14:26:38 | 显示全部楼层
好像把模型的python升到3.5就可以了。
回复

使用道具 举报

您需要登录后才可以回帖 登录 | 立即注册

本版积分规则

产品中心 购买渠道 开源社区 Wiki教程 资料下载 关于Toybrick


快速回复 返回顶部 返回列表